/*
 * Transform lines that contain phonomes to triphones
 *
 * si uno: a
 * si dos phones: a+b a-b
 * tres: a+b a-b+c b-c
 *
 * For example: pala [pala] p aa l a  =>  p+aa p-aa+l aa-l+a l-a
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>



/* if you want to write the word fist put this value to 1 */
int IMPRIMIRWORD=0;

/* if you want each triphone to be written in a diferent line put '\n'
 * here, if not, put ' ' */
int SEPCHAR='\n';



char *SaltaEspacios(char *punt)
{
  if(punt!=NULL)
    while(*punt==' ' || *punt=='\t')
      punt++;
  return punt;
}

char *SaltaChar(char *punt)
{
  if(punt!=NULL)
    while(*punt!=' ' && *punt!='\t')
      punt++;
  return punt;
}



int ContarPhones(char *punt)
{
  int cont=0;

  while(*punt!=0 && *punt!='\n') {
    punt=SaltaChar(punt);
    punt=SaltaEspacios(punt);
    cont++;
  }
  return cont;
}


char *LeerPhone(char *buffer,char *punt)
{
  punt=SaltaEspacios(punt);
  while(*punt!=' ' && *punt!='\t' && *punt!='\n')
    *buffer++=*punt++;
  *buffer=0;
  return punt;
}



int main()
{
  char buffer[1024],phone0[256],phone1[256],phone2[256];;
  char *punt;
  int cont;


  fgets(buffer,sizeof(buffer),stdin);
  while(!feof(stdin)) {
    punt=SaltaEspacios(buffer);
    punt=SaltaChar(punt);	/* antes: ^palabra [palabra] p a l aa b r a */
    punt=SaltaEspacios(punt);	/* antes: palabra^ [palabra] p a l aa b r a */
    punt=SaltaChar(punt);	/* antes: palabra ^[palabra] p a l aa b r a */
    punt=SaltaEspacios(punt);	/* despues: palabra [palabra] ^p a l aa b r a */
    if(IMPRIMIRWORD) {
      punt[-1]=0;
      printf("%s ",buffer);
    }
    cont=ContarPhones(punt);

    if(cont==0)
      ;
    else if(cont==1) {
      punt=LeerPhone(phone0,punt);
      printf("%s%c",phone0,SEPCHAR);
    } else {
      punt=LeerPhone(phone0,punt);
      punt=LeerPhone(phone1,punt);
      printf("%s+%s%c",phone0,phone1,SEPCHAR);
      for(;cont>=3;cont--){
        punt=LeerPhone(phone2,punt);
        printf("%s-%s+%s%c",phone0,phone1,phone2,SEPCHAR);
	strcpy(phone0,phone1);
	strcpy(phone1,phone2);
      }
      printf("%s-%s%c",phone0,phone1,SEPCHAR);
    }

    fgets(buffer,sizeof(buffer),stdin);
  }
  return 0;
}


